UNICODE_HTML40ENT_LO(3)

NAME
unicode_html40ent_lookup - look up unicode character for an HTML 4.0 entity

SYNOPSIS

#include <courier-unicode.h>

char32_t unicode_html40ent_lookup(const char *entity);

DESCRIPTION

unicode_html40ent_lookup() returns the unicode character represented by an HTML 4.0 entity. The entity is a string, such as “quot”, in which case unicode_html40ent_lookup() returns 34.

Additionally, unicode_html40ent_lookup() parses a numerical entity given as “#decimal” or “#xhex”.

unicode_html40ent_lookup() returns 0 if the entity is not a known entity that represents a single unicode character.

SEE ALSO

courier-unicode(7), unicode_convert_tocase(3).

AUTHOR

Sam Varshavchik
    Author